# 743/1017 support features_only=True
TIMM_ENCODERS = {
    "bat_resnext26ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "botnet26t_256": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "botnet50ts_256": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "caformer_b36": {
        "channels": [128, 256, 512, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "caformer_m36": {
        "channels": [96, 192, 384, 576],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "caformer_s18": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "caformer_s36": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "coatnet_0_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_0_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_1_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_1_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_2_224": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_2_rw_224": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_3_224": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_3_rw_224": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_4_224": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_5_224": {
        "channels": [192, 256, 512, 1280, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_bn_0_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_nano_cc_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_nano_rw_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_pico_rw_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_0_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_1_rw2_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_1_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_2_rw_224": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_2_rw_384": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_3_rw_224": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnet_rmlp_nano_rw_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "coatnext_nano_rw_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "convformer_b36": {
        "channels": [128, 256, 512, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "convformer_m36": {
        "channels": [96, 192, 384, 576],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "convformer_s18": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "convformer_s36": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "convnext_atto": {
        "channels": [40, 80, 160, 320],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_atto_ols": {
        "channels": [40, 80, 160, 320],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_base": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_femto": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_femto_ols": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_large": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_large_mlp": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_nano": {
        "channels": [80, 160, 320, 640],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_nano_ols": {
        "channels": [80, 160, 320, 640],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_pico": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_pico_ols": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_small": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_tiny": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_tiny_hnf": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_xlarge": {
        "channels": [256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnext_xxlarge": {
        "channels": [384, 768, 1536, 3072],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_atto": {
        "channels": [40, 80, 160, 320],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_base": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_femto": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_huge": {
        "channels": [352, 704, 1408, 2816],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_large": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_nano": {
        "channels": [80, 160, 320, 640],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_pico": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_small": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "convnextv2_tiny": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "cs3darknet_focus_l": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_focus_m": {
        "channels": [48, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_focus_s": {
        "channels": [32, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_focus_x": {
        "channels": [80, 160, 320, 640, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_l": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_m": {
        "channels": [48, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_s": {
        "channels": [32, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3darknet_x": {
        "channels": [80, 160, 320, 640, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3edgenet_x": {
        "channels": [80, 160, 320, 640, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3se_edgenet_x": {
        "channels": [80, 160, 320, 640, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3sedarknet_l": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3sedarknet_x": {
        "channels": [80, 160, 320, 640, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cs3sedarknet_xdw": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cspdarknet53": {
        "channels": [32, 64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "stem.conv1",
            "stages.0",
            "stages.1",
            "stages.2",
            "stages.3",
            "stages.4",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "cspresnet50": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cspresnet50d": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cspresnet50w": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "cspresnext50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "darknet17": {
        "channels": [32, 64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "stem.conv1",
            "stages.0",
            "stages.1",
            "stages.2",
            "stages.3",
            "stages.4",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "darknet21": {
        "channels": [32, 64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "stem.conv1",
            "stages.0",
            "stages.1",
            "stages.2",
            "stages.3",
            "stages.4",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "darknet53": {
        "channels": [32, 64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "stem.conv1",
            "stages.0",
            "stages.1",
            "stages.2",
            "stages.3",
            "stages.4",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "darknetaa53": {
        "channels": [32, 64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "stem.conv1",
            "stages.0",
            "stages.1",
            "stages.2",
            "stages.3",
            "stages.4",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "davit_base": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "davit_giant": {
        "channels": [384, 768, 1536, 3072],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "davit_huge": {
        "channels": [256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "davit_large": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "davit_small": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "davit_tiny": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "densenet121": {
        "channels": [64, 256, 512, 1024, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.norm0",
            "features.denseblock1",
            "features.denseblock2",
            "features.denseblock3",
            "features.norm5",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "densenet161": {
        "channels": [96, 384, 768, 2112, 2208],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.norm0",
            "features.denseblock1",
            "features.denseblock2",
            "features.denseblock3",
            "features.norm5",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "densenet169": {
        "channels": [64, 256, 512, 1280, 1664],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.norm0",
            "features.denseblock1",
            "features.denseblock2",
            "features.denseblock3",
            "features.norm5",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "densenet201": {
        "channels": [64, 256, 512, 1792, 1920],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.norm0",
            "features.denseblock1",
            "features.denseblock2",
            "features.denseblock3",
            "features.norm5",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "densenet264d": {
        "channels": [96, 384, 768, 3456, 4032],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.norm2",
            "features.denseblock1",
            "features.denseblock2",
            "features.denseblock3",
            "features.norm5",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "densenetblur121d": {
        "channels": [64, 256, 512, 1024, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.norm2",
            "features.denseblock1",
            "features.denseblock2",
            "features.denseblock3",
            "features.norm5",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla102": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla102x": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla102x2": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla169": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla34": {
        "channels": [32, 64, 128, 256, 512],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla46_c": {
        "channels": [32, 64, 64, 128, 256],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla46x_c": {
        "channels": [32, 64, 64, 128, 256],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla60": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla60_res2net": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla60_res2next": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla60x": {
        "channels": [32, 128, 256, 512, 1024],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dla60x_c": {
        "channels": [32, 64, 64, 128, 256],
        "indices": (1, 2, 3, 4, 5),
        "module": ["level1", "level2", "level3", "level4", "level5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f0": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f1": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f2": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f3": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f4": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f5": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dm_nfnet_f6": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn107": {
        "channels": [128, 376, 1152, 2432, 2688],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_4",
            "features.conv3_8",
            "features.conv4_20",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn131": {
        "channels": [128, 352, 832, 1984, 2688],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_4",
            "features.conv3_8",
            "features.conv4_28",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn48b": {
        "channels": [10, 144, 320, 512, 832],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_3",
            "features.conv3_4",
            "features.conv4_6",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn68": {
        "channels": [10, 144, 320, 704, 832],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_3",
            "features.conv3_4",
            "features.conv4_12",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn68b": {
        "channels": [10, 144, 320, 704, 832],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_3",
            "features.conv3_4",
            "features.conv4_12",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn92": {
        "channels": [64, 336, 704, 1552, 2688],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_3",
            "features.conv3_4",
            "features.conv4_20",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "dpn98": {
        "channels": [96, 336, 768, 1728, 2688],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.conv1_1",
            "features.conv2_3",
            "features.conv3_6",
            "features.conv4_20",
            "features.conv5_3",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_botnext26ts_256": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_halonext26ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_nfnet_l0": {
        "channels": [64, 256, 512, 1536, 2304],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_nfnet_l1": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_nfnet_l2": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_nfnet_l3": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_resnet33ts": {
        "channels": [32, 256, 512, 1536, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_resnext26ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "eca_vovnet39b": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet101d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet101d_pruned": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet200d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet269d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet26t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet50d_pruned": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnet50t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnetlight": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnext26t_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ecaresnext50t_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "edgenext_base": {
        "channels": [80, 160, 288, 584],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "edgenext_small": {
        "channels": [48, 96, 160, 304],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "edgenext_small_rw": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "edgenext_x_small": {
        "channels": [32, 64, 100, 192],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "edgenext_xx_small": {
        "channels": [24, 48, 88, 168],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientformerv2_l": {
        "channels": [40, 80, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientformerv2_s0": {
        "channels": [32, 48, 96, 176],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientformerv2_s1": {
        "channels": [32, 48, 120, 224],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientformerv2_s2": {
        "channels": [32, 64, 144, 288],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientnet_b0": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b0_g16_evos": {
        "channels": [16, 32, 48, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b0_g8_gn": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b0_gn": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b1": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b1_pruned": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b2": {
        "channels": [16, 24, 48, 120, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b2_pruned": {
        "channels": [16, 24, 48, 120, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b3": {
        "channels": [24, 32, 48, 136, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b3_g8_gn": {
        "channels": [32, 32, 48, 128, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b3_gn": {
        "channels": [32, 32, 48, 128, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b3_pruned": {
        "channels": [24, 32, 48, 136, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b4": {
        "channels": [24, 32, 56, 160, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b5": {
        "channels": [24, 40, 64, 176, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b6": {
        "channels": [32, 40, 72, 200, 576],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b7": {
        "channels": [32, 48, 80, 224, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_b8": {
        "channels": [32, 56, 88, 248, 704],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_cc_b0_4e": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_cc_b0_8e": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_cc_b1_8e": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_el": {
        "channels": [32, 40, 56, 176, 232],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_el_pruned": {
        "channels": [32, 40, 56, 176, 232],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_em": {
        "channels": [24, 32, 48, 144, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_es": {
        "channels": [24, 32, 48, 144, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_es_pruned": {
        "channels": [24, 32, 48, 144, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_l2": {
        "channels": [72, 104, 176, 480, 1376],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_lite0": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_lite1": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_lite2": {
        "channels": [16, 24, 48, 120, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_lite3": {
        "channels": [24, 32, 48, 136, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnet_lite4": {
        "channels": [24, 32, 56, 160, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_l": {
        "channels": [32, 64, 96, 224, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_m": {
        "channels": [24, 48, 80, 176, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_rw_m": {
        "channels": [32, 56, 80, 192, 328],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_rw_s": {
        "channels": [24, 48, 64, 160, 272],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_rw_t": {
        "channels": [24, 40, 48, 128, 208],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_s": {
        "channels": [24, 48, 64, 160, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientnetv2_xl": {
        "channels": [32, 64, 96, 256, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "efficientvit_b0": {
        "channels": [16, 32, 64, 128],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_b1": {
        "channels": [32, 64, 128, 256],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_b2": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_b3": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_l1": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_l2": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_l3": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "efficientvit_m0": {
        "channels": [64, 128, 192],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "efficientvit_m1": {
        "channels": [128, 144, 192],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "efficientvit_m2": {
        "channels": [128, 192, 224],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "efficientvit_m3": {
        "channels": [128, 240, 320],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "efficientvit_m4": {
        "channels": [128, 256, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "efficientvit_m5": {
        "channels": [192, 288, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "ese_vovnet19b_dw": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ese_vovnet19b_slim": {
        "channels": [64, 112, 256, 384, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ese_vovnet19b_slim_dw": {
        "channels": [64, 112, 256, 384, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ese_vovnet39b": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ese_vovnet39b_evos": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ese_vovnet57b": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ese_vovnet99b": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "fastvit_ma36": {
        "channels": [76, 152, 304, 608],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fastvit_s12": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fastvit_sa12": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fastvit_sa24": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fastvit_sa36": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fastvit_t12": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fastvit_t8": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "fbnetc_100": {
        "channels": [16, 24, 32, 112, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "fbnetv3_b": {
        "channels": [16, 24, 40, 120, 1344],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "fbnetv3_d": {
        "channels": [16, 24, 40, 128, 1440],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "fbnetv3_g": {
        "channels": [24, 40, 56, 160, 1728],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "focalnet_base_lrf": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_base_srf": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_huge_fl3": {
        "channels": [352, 704, 1408, 2816],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_huge_fl4": {
        "channels": [352, 704, 1408, 2816],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_large_fl3": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_large_fl4": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_small_lrf": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_small_srf": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_tiny_lrf": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_tiny_srf": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_xlarge_fl3": {
        "channels": [256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "focalnet_xlarge_fl4": {
        "channels": [256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "gc_efficientnetv2_rw_t": {
        "channels": [24, 40, 48, 128, 208],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gcresnet33ts": {
        "channels": [32, 256, 512, 1536, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gcresnet50t": {
        "channels": [32, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gcresnext26ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gcresnext50ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gernet_l": {
        "channels": [32, 128, 192, 640, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gernet_m": {
        "channels": [32, 128, 192, 640, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "gernet_s": {
        "channels": [13, 48, 48, 384, 1920],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ghostnet_050": {
        "channels": [8, 12, 20, 40, 80],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ghostnet_100": {
        "channels": [16, 24, 40, 80, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ghostnet_130": {
        "channels": [20, 32, 52, 104, 208],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ghostnetv2_100": {
        "channels": [16, 24, 40, 80, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ghostnetv2_130": {
        "channels": [20, 32, 52, 104, 208],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "ghostnetv2_160": {
        "channels": [24, 40, 64, 128, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "halo2botnet50ts_256": {
        "channels": [32, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "halonet26t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "halonet50ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "halonet_h1": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "haloregnetz_b": {
        "channels": [32, 48, 96, 192, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hardcorenas_a": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hardcorenas_b": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hardcorenas_c": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hardcorenas_d": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hardcorenas_e": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hardcorenas_f": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w18": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w18_small": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w18_small_v2": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w18_ssld": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w30": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w32": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w40": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w44": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w48": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w48_ssld": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "hrnet_w64": {
        "channels": [64, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stage1", "stage2", "stage3", "stage4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "inception_next_base": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "inception_next_small": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "inception_next_tiny": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "inception_resnet_v2": {
        "channels": [64, 192, 320, 1088, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv2d_2b", "conv2d_4a", "repeat", "repeat_1", "conv2d_7b"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "inception_v3": {
        "channels": [64, 192, 288, 768, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "Conv2d_2b_3x3",
            "Conv2d_4a_3x3",
            "Mixed_5d",
            "Mixed_6e",
            "Mixed_7c",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "inception_v4": {
        "channels": [64, 160, 384, 1024, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.2",
            "features.3",
            "features.9",
            "features.17",
            "features.21",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lambda_resnet26rpt_256": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lambda_resnet26t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lambda_resnet50ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lamhalobotnet50ts_256": {
        "channels": [32, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lcnet_035": {
        "channels": [16, 24, 48, 88, 176],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lcnet_050": {
        "channels": [16, 32, 64, 128, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lcnet_075": {
        "channels": [24, 48, 96, 192, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lcnet_100": {
        "channels": [32, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "lcnet_150": {
        "channels": [48, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_senet154": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnet101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnet152": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnet18": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnet34": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnext101_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnext26_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_seresnext50_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["layer0", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "legacy_xception": {
        "channels": [64, 128, 256, 728, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act2", "block2.rep.0", "block3.rep.0", "block12.rep.0", "act4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "levit_conv_128": {
        "channels": [128, 256, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_128s": {
        "channels": [128, 256, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_192": {
        "channels": [192, 288, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_256": {
        "channels": [256, 384, 512],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_256d": {
        "channels": [256, 384, 512],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_384": {
        "channels": [384, 512, 768],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_384_s8": {
        "channels": [384, 512, 768],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [8, 16, 32],
    },
    "levit_conv_512": {
        "channels": [512, 768, 1024],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "levit_conv_512_s8": {
        "channels": [512, 640, 896],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [8, 16, 32],
    },
    "levit_conv_512d": {
        "channels": [512, 640, 768],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [16, 32, 64],
    },
    "maxvit_base_tf_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_base_tf_384": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_base_tf_512": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_large_tf_224": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_large_tf_384": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_large_tf_512": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_nano_rw_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_pico_rw_256": {
        "channels": [32, 32, 64, 128, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_base_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_base_rw_384": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_nano_rw_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_pico_rw_256": {
        "channels": [32, 32, 64, 128, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_small_rw_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_small_rw_256": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_rmlp_tiny_rw_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_small_tf_224": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_small_tf_384": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_small_tf_512": {
        "channels": [64, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_tiny_pm_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_tiny_rw_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_tiny_rw_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_tiny_tf_224": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_tiny_tf_384": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_tiny_tf_512": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_xlarge_tf_224": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_xlarge_tf_384": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxvit_xlarge_tf_512": {
        "channels": [192, 192, 384, 768, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvit_rmlp_nano_rw_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvit_rmlp_small_rw_256": {
        "channels": [96, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvit_rmlp_tiny_rw_256": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvitv2_nano_rw_256": {
        "channels": [96, 96, 192, 384, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvitv2_rmlp_base_rw_224": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvitv2_rmlp_base_rw_384": {
        "channels": [128, 128, 256, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "maxxvitv2_rmlp_large_rw_224": {
        "channels": [160, 160, 320, 640, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mixnet_l": {
        "channels": [32, 40, 56, 160, 264],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mixnet_m": {
        "channels": [24, 32, 40, 120, 200],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mixnet_s": {
        "channels": [16, 24, 40, 120, 200],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mixnet_xl": {
        "channels": [40, 48, 64, 192, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mixnet_xxl": {
        "channels": [56, 80, 96, 288, 480],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mnasnet_050": {
        "channels": [8, 16, 24, 48, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mnasnet_075": {
        "channels": [16, 24, 32, 72, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mnasnet_100": {
        "channels": [16, 24, 40, 96, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mnasnet_140": {
        "channels": [24, 32, 56, 136, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mnasnet_small": {
        "channels": [8, 16, 16, 32, 144],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_035": {
        "channels": [8, 8, 16, 32, 112],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_050": {
        "channels": [8, 16, 16, 48, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_075": {
        "channels": [16, 24, 24, 72, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_100": {
        "channels": [16, 24, 32, 96, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_110d": {
        "channels": [16, 24, 32, 104, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_120d": {
        "channels": [24, 32, 40, 112, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv2_140": {
        "channels": [24, 32, 48, 136, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv3_large_075": {
        "channels": [16, 24, 32, 88, 720],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv3_large_100": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv3_rw": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv3_small_050": {
        "channels": [16, 8, 16, 24, 288],
        "indices": (0, 1, 2, 3, 4),
        "module": ["bn1", "blocks.0", "blocks.1", "blocks.3", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv3_small_075": {
        "channels": [16, 16, 24, 40, 432],
        "indices": (0, 1, 2, 3, 4),
        "module": ["bn1", "blocks.0", "blocks.1", "blocks.3", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilenetv3_small_100": {
        "channels": [16, 16, 24, 48, 576],
        "indices": (0, 1, 2, 3, 4),
        "module": ["bn1", "blocks.0", "blocks.1", "blocks.3", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobileone_s0": {
        "channels": [48, 48, 128, 256, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobileone_s1": {
        "channels": [64, 96, 192, 512, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobileone_s2": {
        "channels": [64, 96, 256, 640, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobileone_s3": {
        "channels": [64, 128, 320, 768, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobileone_s4": {
        "channels": [64, 192, 448, 896, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevit_s": {
        "channels": [32, 64, 96, 128, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevit_xs": {
        "channels": [32, 48, 64, 80, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevit_xxs": {
        "channels": [16, 24, 48, 64, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_050": {
        "channels": [32, 64, 128, 192, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_075": {
        "channels": [48, 96, 192, 288, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_100": {
        "channels": [64, 128, 256, 384, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_125": {
        "channels": [80, 160, 320, 480, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_150": {
        "channels": [96, 192, 384, 576, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_175": {
        "channels": [112, 224, 448, 672, 896],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "mobilevitv2_200": {
        "channels": [128, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nasnetalarge": {
        "channels": [96, 168, 1008, 2016, 4032],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "conv0",
            "cell_stem_1.conv_1x1.act",
            "reduction_cell_0.conv_1x1.act",
            "reduction_cell_1.conv_1x1.act",
            "act",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nest_base": {
        "channels": [128, 256, 512],
        "indices": (0, 1, 2),
        "module": ["levels.0", "levels.1", "levels.2"],
        "reduction": [4, 8, 16],
    },
    "nest_base_jx": {
        "channels": [128, 256, 512],
        "indices": (0, 1, 2),
        "module": ["levels.0", "levels.1", "levels.2"],
        "reduction": [4, 8, 16],
    },
    "nest_small": {
        "channels": [96, 192, 384],
        "indices": (0, 1, 2),
        "module": ["levels.0", "levels.1", "levels.2"],
        "reduction": [4, 8, 16],
    },
    "nest_small_jx": {
        "channels": [96, 192, 384],
        "indices": (0, 1, 2),
        "module": ["levels.0", "levels.1", "levels.2"],
        "reduction": [4, 8, 16],
    },
    "nest_tiny": {
        "channels": [96, 192, 384],
        "indices": (0, 1, 2),
        "module": ["levels.0", "levels.1", "levels.2"],
        "reduction": [4, 8, 16],
    },
    "nest_tiny_jx": {
        "channels": [96, 192, 384],
        "indices": (0, 1, 2),
        "module": ["levels.0", "levels.1", "levels.2"],
        "reduction": [4, 8, 16],
    },
    "nf_ecaresnet101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_ecaresnet26": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_ecaresnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_regnet_b0": {
        "channels": [40, 40, 80, 160, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_regnet_b1": {
        "channels": [40, 40, 80, 160, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_regnet_b2": {
        "channels": [40, 40, 88, 176, 1064],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_regnet_b3": {
        "channels": [40, 40, 96, 184, 1152],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_regnet_b4": {
        "channels": [48, 48, 112, 216, 1344],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_regnet_b5": {
        "channels": [64, 64, 128, 256, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_resnet101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_resnet26": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_resnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_seresnet101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_seresnet26": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nf_seresnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f0": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f1": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f2": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f3": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f4": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f5": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f6": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_f7": {
        "channels": [64, 256, 512, 1536, 3072],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "nfnet_l0": {
        "channels": [64, 256, 512, 1536, 2304],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "pit_b_224": {
        "channels": [256, 512, 1024],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [6, 12, 24],
    },
    "pit_b_distilled_224": {
        "channels": [256, 512, 1024],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [6, 12, 24],
    },
    "pit_s_224": {
        "channels": [144, 288, 576],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [7, 14, 28],
    },
    "pit_s_distilled_224": {
        "channels": [144, 288, 576],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [7, 14, 28],
    },
    "pit_ti_224": {
        "channels": [64, 128, 256],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [7, 14, 28],
    },
    "pit_ti_distilled_224": {
        "channels": [64, 128, 256],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [7, 14, 28],
    },
    "pit_xs_224": {
        "channels": [96, 192, 384],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [7, 14, 28],
    },
    "pit_xs_distilled_224": {
        "channels": [96, 192, 384],
        "indices": (0, 1, 2),
        "module": ["transformers.0", "transformers.1", "transformers.2"],
        "reduction": [7, 14, 28],
    },
    "pnasnet5large": {
        "channels": [96, 270, 1080, 2160, 4320],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "conv_0",
            "cell_stem_1.conv_1x1.act",
            "cell_4.conv_1x1.act",
            "cell_8.conv_1x1.act",
            "act",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "poolformer_m36": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformer_m48": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformer_s12": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformer_s24": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformer_s36": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformerv2_m36": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformerv2_m48": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformerv2_s12": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformerv2_s24": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "poolformerv2_s36": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 2, 2, 2],
    },
    "pvt_v2_b0": {
        "channels": [32, 64, 160, 256],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "pvt_v2_b1": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "pvt_v2_b2": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "pvt_v2_b2_li": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "pvt_v2_b3": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "pvt_v2_b4": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "pvt_v2_b5": {
        "channels": [64, 128, 320, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "regnetv_040": {
        "channels": [32, 128, 192, 512, 1088],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetv_064": {
        "channels": [32, 144, 288, 576, 1296],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_002": {
        "channels": [32, 24, 56, 152, 368],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_004": {
        "channels": [32, 32, 64, 160, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_004_tv": {
        "channels": [32, 32, 64, 160, 400],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_006": {
        "channels": [32, 48, 96, 240, 528],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_008": {
        "channels": [32, 64, 128, 288, 672],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_016": {
        "channels": [32, 72, 168, 408, 912],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_032": {
        "channels": [32, 96, 192, 432, 1008],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_040": {
        "channels": [32, 80, 240, 560, 1360],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_064": {
        "channels": [32, 168, 392, 784, 1624],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_080": {
        "channels": [32, 80, 240, 720, 1920],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_120": {
        "channels": [32, 224, 448, 896, 2240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_160": {
        "channels": [32, 256, 512, 896, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetx_320": {
        "channels": [32, 336, 672, 1344, 2520],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_002": {
        "channels": [32, 24, 56, 152, 368],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_004": {
        "channels": [32, 48, 104, 208, 440],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_006": {
        "channels": [32, 48, 112, 256, 608],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_008": {
        "channels": [32, 64, 128, 320, 768],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_008_tv": {
        "channels": [32, 64, 144, 320, 784],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_016": {
        "channels": [32, 48, 120, 336, 888],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_032": {
        "channels": [32, 72, 216, 576, 1512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_040": {
        "channels": [32, 128, 192, 512, 1088],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_040_sgn": {
        "channels": [32, 128, 192, 512, 1088],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_064": {
        "channels": [32, 144, 288, 576, 1296],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_080": {
        "channels": [32, 168, 448, 896, 2016],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_080_tv": {
        "channels": [32, 224, 448, 896, 2016],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_120": {
        "channels": [32, 224, 448, 896, 2240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_1280": {
        "channels": [32, 528, 1056, 2904, 7392],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_160": {
        "channels": [32, 224, 448, 1232, 3024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_2560": {
        "channels": [32, 746, 1492, 4103, 10444],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_320": {
        "channels": [32, 232, 696, 1392, 3712],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnety_640": {
        "channels": [32, 328, 984, 1968, 4920],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_005": {
        "channels": [32, 16, 40, 104, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_040": {
        "channels": [32, 48, 104, 240, 528],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_040_h": {
        "channels": [32, 48, 104, 240, 528],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "s1", "s2", "s3", "s4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_b16": {
        "channels": [32, 48, 96, 192, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_b16_evos": {
        "channels": [32, 48, 96, 192, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_c16": {
        "channels": [32, 48, 96, 192, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_c16_evos": {
        "channels": [32, 48, 96, 192, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_d32": {
        "channels": [32, 64, 128, 256, 1792],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_d8": {
        "channels": [32, 64, 128, 256, 1792],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_d8_evos": {
        "channels": [64, 64, 128, 256, 1792],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "regnetz_e8": {
        "channels": [32, 96, 192, 384, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_050": {
        "channels": [8, 12, 20, 40, 80],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_058": {
        "channels": [12, 16, 24, 48, 92],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_080": {
        "channels": [12, 20, 32, 64, 128],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_100": {
        "channels": [16, 24, 40, 80, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_111": {
        "channels": [16, 28, 44, 88, 176],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_130": {
        "channels": [20, 32, 52, 104, 208],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_150": {
        "channels": [24, 36, 60, 120, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repghostnet_200": {
        "channels": [32, 48, 80, 160, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["conv_stem", "blocks.1", "blocks.3", "blocks.5", "blocks.7"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_a0": {
        "channels": [48, 48, 96, 192, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_a1": {
        "channels": [64, 64, 128, 256, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_a2": {
        "channels": [64, 96, 192, 384, 1408],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b0": {
        "channels": [64, 64, 128, 256, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b1": {
        "channels": [64, 128, 256, 512, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b1g4": {
        "channels": [64, 128, 256, 512, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b2": {
        "channels": [64, 160, 320, 640, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b2g4": {
        "channels": [64, 160, 320, 640, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b3": {
        "channels": [64, 192, 384, 768, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_b3g4": {
        "channels": [64, 192, 384, 768, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvgg_d2se": {
        "channels": [64, 160, 320, 640, 2560],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "repvit_m0_9": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m1": {
        "channels": [48, 96, 192, 384],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m1_0": {
        "channels": [56, 112, 224, 448],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m1_1": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m1_5": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m2": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m2_3": {
        "channels": [80, 160, 320, 640],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "repvit_m3": {
        "channels": [64, 128, 256, 512],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "res2net101_26w_4s": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net101d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net50_14w_8s": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net50_26w_4s": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net50_26w_6s": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net50_26w_8s": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net50_48w_2s": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2net50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "res2next50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest101e": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest14d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest200e": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest269e": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest26d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest50d_1s4x24d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnest50d_4s2x40d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet101c": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet101d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet101s": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet10t": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet14t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet152": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet152c": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet152d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet152s": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet18": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet18d": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet200": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet200d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet26": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet26d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet26t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet32ts": {
        "channels": [32, 256, 512, 1536, 1536],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet33ts": {
        "channels": [32, 256, 512, 1536, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet34": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet34d": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet50_gn": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet50c": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet50s": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet50t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet51q": {
        "channels": [64, 256, 512, 1536, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnet61q": {
        "channels": [64, 256, 512, 1536, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetaa101d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetaa34d": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetaa50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetaa50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetblur101d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetblur18": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetblur50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetblur50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs152": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs200": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs270": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs350": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs420": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetrs50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_101d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_101x1_bit": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_101x3_bit": {
        "channels": [192, 768, 1536, 3072, 6144],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_152": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_152d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_152x2_bit": {
        "channels": [128, 512, 1024, 2048, 4096],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_152x4_bit": {
        "channels": [256, 1024, 2048, 4096, 8192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50d_evos": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50d_frn": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50d_gn": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50x1_bit": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnetv2_50x3_bit": {
        "channels": [192, 768, 1536, 3072, 6144],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext101_32x16d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext101_32x32d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext101_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext101_32x8d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext101_64x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext26ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext50_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "resnext50d_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnet_100": {
        "channels": [16, 38, 61, 128, 185],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnet_130": {
        "channels": [21, 50, 79, 167, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnet_150": {
        "channels": [24, 58, 92, 193, 277],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnet_200": {
        "channels": [32, 77, 122, 257, 370],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnet_300": {
        "channels": [48, 116, 183, 386, 554],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnetr_100": {
        "channels": [16, 40, 64, 128, 184],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnetr_130": {
        "channels": [24, 48, 80, 168, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnetr_150": {
        "channels": [24, 56, 96, 192, 280],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnetr_200": {
        "channels": [32, 80, 120, 256, 368],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "rexnetr_300": {
        "channels": [48, 112, 176, 384, 560],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "features.0",
            "features.2",
            "features.4",
            "features.10",
            "features.15",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "sebotnet33ts_256": {
        "channels": [32, 256, 512, 1024, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "sedarknet21": {
        "channels": [32, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [1, 2, 4, 8, 16],
    },
    "sehalonet33ts": {
        "channels": [32, 256, 512, 1024, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "selecsls42": {
        "channels": [32, 128, 288, 480, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.2", "features.1", "features.3", "features.5", "head.1"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "selecsls42b": {
        "channels": [32, 128, 288, 480, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.2", "features.1", "features.3", "features.5", "head.1"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "selecsls60": {
        "channels": [32, 128, 288, 416, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.2", "features.1", "features.4", "features.8", "head.1"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "selecsls60b": {
        "channels": [32, 128, 288, 416, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.2", "features.1", "features.4", "features.8", "head.1"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "selecsls84": {
        "channels": [32, 144, 304, 512, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.2", "features.1", "features.6", "features.12", "head.1"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "semnasnet_050": {
        "channels": [8, 16, 24, 56, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "semnasnet_075": {
        "channels": [16, 24, 32, 88, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "semnasnet_100": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "semnasnet_140": {
        "channels": [24, 32, 56, 160, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "senet154": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "sequencer2d_l": {
        "channels": [192, 384, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [7, 14, 14],
    },
    "sequencer2d_m": {
        "channels": [192, 384, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [7, 14, 14],
    },
    "sequencer2d_s": {
        "channels": [192, 384, 384],
        "indices": (0, 1, 2),
        "module": ["stages.0", "stages.1", "stages.2"],
        "reduction": [7, 14, 14],
    },
    "seresnet101": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet152": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet152d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet18": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet200d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet269d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet33ts": {
        "channels": [32, 256, 512, 1536, 1280],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv2", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet34": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnet50t": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnetaa50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext101_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext101_32x8d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext101_64x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext101d_32x8d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext26d_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext26t_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext26ts": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.conv3", "stages.0", "stages.1", "stages.2", "final_conv"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnext50_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnextaa101d_32x8d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "seresnextaa201d_32x8d": {
        "channels": [128, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "skresnet18": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "skresnet34": {
        "channels": [64, 64, 128, 256, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "skresnet50": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "skresnet50d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "skresnext50_32x4d": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "spnasnet_100": {
        "channels": [16, 24, 40, 96, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "swin_base_patch4_window12_384": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_base_patch4_window7_224": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_large_patch4_window12_384": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_large_patch4_window7_224": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_s3_base_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_s3_small_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_s3_tiny_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_small_patch4_window7_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swin_tiny_patch4_window7_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_base_window12_192": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_base_window12to16_192to256": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_base_window12to24_192to384": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_base_window16_256": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_base_window8_256": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_base_224": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_base_384": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_base_ns_224": {
        "channels": [128, 256, 512, 1024],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_giant_224": {
        "channels": [512, 1024, 2048, 4096],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_giant_384": {
        "channels": [512, 1024, 2048, 4096],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_huge_224": {
        "channels": [352, 704, 1408, 2816],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_huge_384": {
        "channels": [352, 704, 1408, 2816],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_large_224": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_large_384": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_small_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_small_384": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_small_ns_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_small_ns_256": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_tiny_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_tiny_384": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_cr_tiny_ns_224": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_large_window12_192": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_large_window12to16_192to256": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_large_window12to24_192to384": {
        "channels": [192, 384, 768, 1536],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_small_window16_256": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_small_window8_256": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_tiny_window16_256": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "swinv2_tiny_window8_256": {
        "channels": [96, 192, 384, 768],
        "indices": (0, 1, 2, 3),
        "module": ["layers.0", "layers.1", "layers.2", "layers.3"],
        "reduction": [4, 8, 16, 32],
    },
    "tf_efficientnet_b0": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b1": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b2": {
        "channels": [16, 24, 48, 120, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b3": {
        "channels": [24, 32, 48, 136, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b4": {
        "channels": [24, 32, 56, 160, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b5": {
        "channels": [24, 40, 64, 176, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b6": {
        "channels": [32, 40, 72, 200, 576],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b7": {
        "channels": [32, 48, 80, 224, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_b8": {
        "channels": [32, 56, 88, 248, 704],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_cc_b0_4e": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_cc_b0_8e": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_cc_b1_8e": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_el": {
        "channels": [32, 40, 56, 176, 232],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_em": {
        "channels": [24, 32, 48, 144, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_es": {
        "channels": [24, 32, 48, 144, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_l2": {
        "channels": [72, 104, 176, 480, 1376],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_lite0": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_lite1": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_lite2": {
        "channels": [16, 24, 48, 120, 352],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_lite3": {
        "channels": [24, 32, 48, 136, 384],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnet_lite4": {
        "channels": [24, 32, 56, 160, 448],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_b0": {
        "channels": [16, 32, 48, 112, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_b1": {
        "channels": [16, 32, 48, 112, 192],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_b2": {
        "channels": [16, 32, 56, 120, 208],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_b3": {
        "channels": [16, 40, 56, 136, 232],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_l": {
        "channels": [32, 64, 96, 224, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_m": {
        "channels": [24, 48, 80, 176, 512],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_s": {
        "channels": [24, 48, 64, 160, 256],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_efficientnetv2_xl": {
        "channels": [32, 64, 96, 256, 640],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mixnet_l": {
        "channels": [32, 40, 56, 160, 264],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mixnet_m": {
        "channels": [24, 32, 40, 120, 200],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mixnet_s": {
        "channels": [16, 24, 40, 120, 200],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mobilenetv3_large_075": {
        "channels": [16, 24, 32, 88, 720],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mobilenetv3_large_100": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mobilenetv3_large_minimal_100": {
        "channels": [16, 24, 40, 112, 960],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mobilenetv3_small_075": {
        "channels": [16, 16, 24, 40, 432],
        "indices": (0, 1, 2, 3, 4),
        "module": ["bn1", "blocks.0", "blocks.1", "blocks.3", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mobilenetv3_small_100": {
        "channels": [16, 16, 24, 48, 576],
        "indices": (0, 1, 2, 3, 4),
        "module": ["bn1", "blocks.0", "blocks.1", "blocks.3", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tf_mobilenetv3_small_minimal_100": {
        "channels": [16, 16, 24, 48, 576],
        "indices": (0, 1, 2, 3, 4),
        "module": ["bn1", "blocks.0", "blocks.1", "blocks.3", "blocks.5"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tiny_vit_11m_224": {
        "channels": [64, 128, 256, 448],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "tiny_vit_21m_224": {
        "channels": [96, 192, 384, 576],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "tiny_vit_21m_384": {
        "channels": [96, 192, 384, 576],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "tiny_vit_21m_512": {
        "channels": [96, 192, 384, 576],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "tiny_vit_5m_224": {
        "channels": [64, 128, 160, 320],
        "indices": (0, 1, 2, 3),
        "module": ["stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [4, 8, 16, 32],
    },
    "tinynet_a": {
        "channels": [16, 24, 40, 112, 320],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tinynet_b": {
        "channels": [16, 24, 32, 88, 240],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tinynet_c": {
        "channels": [8, 16, 24, 64, 176],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tinynet_d": {
        "channels": [8, 16, 24, 64, 176],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tinynet_e": {
        "channels": [8, 16, 24, 56, 160],
        "indices": (0, 1, 2, 3, 4),
        "module": ["blocks.0", "blocks.1", "blocks.2", "blocks.4", "blocks.6"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "tresnet_l": {
        "channels": [76, 152, 1216, 2432],
        "indices": (1, 2, 3, 4),
        "module": ["body.layer1", "body.layer2", "body.layer3", "body.layer4"],
        "reduction": [4, 8, 16, 32],
    },
    "tresnet_m": {
        "channels": [64, 128, 1024, 2048],
        "indices": (1, 2, 3, 4),
        "module": ["body.layer1", "body.layer2", "body.layer3", "body.layer4"],
        "reduction": [4, 8, 16, 32],
    },
    "tresnet_v2_l": {
        "channels": [256, 512, 1024, 2048],
        "indices": (1, 2, 3, 4),
        "module": ["body.layer1", "body.layer2", "body.layer3", "body.layer4"],
        "reduction": [4, 8, 16, 32],
    },
    "tresnet_xl": {
        "channels": [83, 166, 1328, 2656],
        "indices": (1, 2, 3, 4),
        "module": ["body.layer1", "body.layer2", "body.layer3", "body.layer4"],
        "reduction": [4, 8, 16, 32],
    },
    "vgg11": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.1",
            "features.4",
            "features.9",
            "features.14",
            "features.19",
            "features.20",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg11_bn": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.2",
            "features.6",
            "features.13",
            "features.20",
            "features.27",
            "features.28",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg13": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.3",
            "features.8",
            "features.13",
            "features.18",
            "features.23",
            "features.24",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg13_bn": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.5",
            "features.12",
            "features.19",
            "features.26",
            "features.33",
            "features.34",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg16": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.3",
            "features.8",
            "features.15",
            "features.22",
            "features.29",
            "features.30",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg16_bn": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.5",
            "features.12",
            "features.22",
            "features.32",
            "features.42",
            "features.43",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg19": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.3",
            "features.8",
            "features.17",
            "features.26",
            "features.35",
            "features.36",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vgg19_bn": {
        "channels": [64, 128, 256, 512, 512, 512],
        "indices": (0, 1, 2, 3, 4, 5),
        "module": [
            "features.5",
            "features.12",
            "features.25",
            "features.38",
            "features.51",
            "features.52",
        ],
        "reduction": [1, 2, 4, 8, 16, 32],
    },
    "vovnet39a": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "vovnet57a": {
        "channels": [64, 256, 512, 768, 1024],
        "indices": (0, 1, 2, 3, 4),
        "module": ["stem.1", "stages.0", "stages.1", "stages.2", "stages.3"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "wide_resnet101_2": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "wide_resnet50_2": {
        "channels": [64, 256, 512, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": ["act1", "layer1", "layer2", "layer3", "layer4"],
        "reduction": [2, 4, 8, 16, 32],
    },
    "xception41": {
        "channels": [128, 256, 728, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "blocks.0.stack.act3",
            "blocks.1.stack.act3",
            "blocks.2.stack.act3",
            "blocks.11.stack.act3",
            "blocks.12",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "xception41p": {
        "channels": [128, 256, 728, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "blocks.0.stack.conv2",
            "blocks.1.stack.conv2",
            "blocks.2.stack.conv2",
            "blocks.11.stack.conv2",
            "blocks.12",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "xception65": {
        "channels": [128, 256, 728, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "blocks.0.stack.act3",
            "blocks.1.stack.act3",
            "blocks.2.stack.act3",
            "blocks.19.stack.act3",
            "blocks.20",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "xception65p": {
        "channels": [128, 256, 728, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "blocks.0.stack.conv2",
            "blocks.1.stack.conv2",
            "blocks.2.stack.conv2",
            "blocks.19.stack.conv2",
            "blocks.20",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
    "xception71": {
        "channels": [128, 256, 728, 1024, 2048],
        "indices": (0, 1, 2, 3, 4),
        "module": [
            "blocks.0.stack.act3",
            "blocks.2.stack.act3",
            "blocks.4.stack.act3",
            "blocks.21.stack.act3",
            "blocks.22",
        ],
        "reduction": [2, 4, 8, 16, 32],
    },
}

# 109/1017 support get_intermediate_layers
TIMM_VIT_ENCODERS = [
    "deit3_base_patch16_224",
    "deit3_base_patch16_384",
    "deit3_huge_patch14_224",
    "deit3_large_patch16_224",
    "deit3_large_patch16_384",
    "deit3_medium_patch16_224",
    "deit3_small_patch16_224",
    "deit3_small_patch16_384",
    "deit_base_distilled_patch16_224",
    "deit_base_distilled_patch16_384",
    "deit_base_patch16_224",
    "deit_base_patch16_384",
    "deit_small_distilled_patch16_224",
    "deit_small_patch16_224",
    "deit_tiny_distilled_patch16_224",
    "deit_tiny_patch16_224",
    "eva_large_patch14_196",
    "eva_large_patch14_336",
    "flexivit_base",
    "flexivit_large",
    "flexivit_small",
    "vit_base_patch8_224",
    "vit_base_patch14_dinov2",
    "vit_base_patch14_reg4_dinov2",
    "vit_base_patch16_18x2_224",
    "vit_base_patch16_224",
    "vit_base_patch16_224_miil",
    "vit_base_patch16_384",
    "vit_base_patch16_clip_224",
    "vit_base_patch16_clip_384",
    "vit_base_patch16_clip_quickgelu_224",
    "vit_base_patch16_gap_224",
    "vit_base_patch16_plus_240",
    "vit_base_patch16_reg8_gap_256",
    "vit_base_patch16_rpn_224",
    "vit_base_patch16_siglip_224",
    "vit_base_patch16_siglip_256",
    "vit_base_patch16_siglip_384",
    "vit_base_patch16_siglip_512",
    "vit_base_patch16_xp_224",
    "vit_base_patch32_224",
    "vit_base_patch32_384",
    "vit_base_patch32_clip_224",
    "vit_base_patch32_clip_256",
    "vit_base_patch32_clip_384",
    "vit_base_patch32_clip_448",
    "vit_base_patch32_clip_quickgelu_224",
    "vit_base_patch32_plus_256",
    "vit_base_r26_s32_224",
    "vit_base_r50_s16_224",
    "vit_base_r50_s16_384",
    "vit_base_resnet26d_224",
    "vit_base_resnet50d_224",
    "vit_giant_patch14_224",
    "vit_giant_patch14_clip_224",
    "vit_giant_patch14_dinov2",
    "vit_giant_patch14_reg4_dinov2",
    "vit_giant_patch16_gap_224",
    "vit_gigantic_patch14_224",
    "vit_gigantic_patch14_clip_224",
    "vit_huge_patch14_224",
    "vit_huge_patch14_clip_224",
    "vit_huge_patch14_clip_336",
    "vit_huge_patch14_clip_378",
    "vit_huge_patch14_clip_quickgelu_224",
    "vit_huge_patch14_clip_quickgelu_378",
    "vit_huge_patch14_gap_224",
    "vit_huge_patch14_xp_224",
    "vit_huge_patch16_gap_448",
    "vit_large_patch14_224",
    "vit_large_patch14_clip_224",
    "vit_large_patch14_clip_336",
    "vit_large_patch14_clip_quickgelu_224",
    "vit_large_patch14_clip_quickgelu_336",
    "vit_large_patch14_dinov2",
    "vit_large_patch14_reg4_dinov2",
    "vit_large_patch14_xp_224",
    "vit_large_patch16_224",
    "vit_large_patch16_384",
    "vit_large_patch16_siglip_256",
    "vit_large_patch16_siglip_384",
    "vit_large_patch32_224",
    "vit_large_patch32_384",
    "vit_large_r50_s32_224",
    "vit_large_r50_s32_384",
    "vit_medium_patch16_gap_240",
    "vit_medium_patch16_gap_256",
    "vit_medium_patch16_gap_384",
    "vit_medium_patch16_reg4_256",
    "vit_medium_patch16_reg4_gap_256",
    "vit_small_patch8_224",
    "vit_small_patch14_dinov2",
    "vit_small_patch14_reg4_dinov2",
    "vit_small_patch16_18x2_224",
    "vit_small_patch16_36x1_224",
    "vit_small_patch16_224",
    "vit_small_patch16_384",
    "vit_small_patch32_224",
    "vit_small_patch32_384",
    "vit_small_r26_s32_224",
    "vit_small_r26_s32_384",
    "vit_small_resnet26d_224",
    "vit_small_resnet50d_s16_224",
    "vit_so400m_patch14_siglip_224",
    "vit_so400m_patch14_siglip_384",
    "vit_tiny_patch16_224",
    "vit_tiny_patch16_384",
    "vit_tiny_r_s16_p8_224",
    "vit_tiny_r_s16_p8_384",
]

UNSUPPORTED_ENCODERS = [
    "beit_base_patch16_224",
    "beit_base_patch16_384",
    "beit_large_patch16_224",
    "beit_large_patch16_384",
    "beit_large_patch16_512",
    "beitv2_base_patch16_224",
    "beitv2_large_patch16_224",
    "cait_m36_384",
    "cait_m48_448",
    "cait_s24_224",
    "cait_s24_384",
    "cait_s36_384",
    "cait_xs24_384",
    "cait_xxs24_224",
    "cait_xxs24_384",
    "cait_xxs36_224",
    "cait_xxs36_384",
    "coat_lite_medium",
    "coat_lite_medium_384",
    "coat_lite_mini",
    "coat_lite_small",
    "coat_lite_tiny",
    "coat_mini",
    "coat_small",
    "coat_tiny",
    "convit_base",
    "convit_small",
    "convit_tiny",
    "convmixer_768_32",
    "convmixer_1024_20_ks9_p14",
    "convmixer_1536_20",
    "crossvit_9_240",
    "crossvit_9_dagger_240",
    "crossvit_15_240",
    "crossvit_15_dagger_240",
    "crossvit_15_dagger_408",
    "crossvit_18_240",
    "crossvit_18_dagger_240",
    "crossvit_18_dagger_408",
    "crossvit_base_240",
    "crossvit_small_240",
    "crossvit_tiny_240",
    "efficientformer_l1",
    "efficientformer_l3",
    "efficientformer_l7",
    "eva02_base_patch14_224",
    "eva02_base_patch14_448",
    "eva02_base_patch16_clip_224",
    "eva02_enormous_patch14_clip_224",
    "eva02_large_patch14_224",
    "eva02_large_patch14_448",
    "eva02_large_patch14_clip_224",
    "eva02_large_patch14_clip_336",
    "eva02_small_patch14_224",
    "eva02_small_patch14_336",
    "eva02_tiny_patch14_224",
    "eva02_tiny_patch14_336",
    "eva_giant_patch14_224",
    "eva_giant_patch14_336",
    "eva_giant_patch14_560",
    "eva_giant_patch14_clip_224",
    "gcvit_base",
    "gcvit_small",
    "gcvit_tiny",
    "gcvit_xtiny",
    "gcvit_xxtiny",
    "gmixer_12_224",
    "gmixer_24_224",
    "gmlp_b16_224",
    "gmlp_s16_224",
    "gmlp_ti16_224",
    "levit_128",
    "levit_128s",
    "levit_192",
    "levit_256",
    "levit_256d",
    "levit_384",
    "levit_384_s8",
    "levit_512",
    "levit_512_s8",
    "levit_512d",
    "mixer_b16_224",
    "mixer_b32_224",
    "mixer_l16_224",
    "mixer_l32_224",
    "mixer_s16_224",
    "mixer_s32_224",
    "mvitv2_base",
    "mvitv2_base_cls",
    "mvitv2_huge_cls",
    "mvitv2_large",
    "mvitv2_large_cls",
    "mvitv2_small",
    "mvitv2_small_cls",
    "mvitv2_tiny",
    "resmlp_12_224",
    "resmlp_24_224",
    "resmlp_36_224",
    "resmlp_big_24_224",
    "samvit_base_patch16",
    "samvit_base_patch16_224",
    "samvit_huge_patch16",
    "samvit_large_patch16",
    "tnt_b_patch16_224",
    "tnt_s_patch16_224",
    "twins_pcpvt_base",
    "twins_pcpvt_large",
    "twins_pcpvt_small",
    "twins_svt_base",
    "twins_svt_large",
    "twins_svt_small",
    "visformer_small",
    "visformer_tiny",
    "vit_relpos_base_patch16_224",
    "vit_relpos_base_patch16_cls_224",
    "vit_relpos_base_patch16_clsgap_224",
    "vit_relpos_base_patch16_plus_240",
    "vit_relpos_base_patch16_rpn_224",
    "vit_relpos_base_patch32_plus_rpn_256",
    "vit_relpos_medium_patch16_224",
    "vit_relpos_medium_patch16_cls_224",
    "vit_relpos_medium_patch16_rpn_224",
    "vit_relpos_small_patch16_224",
    "vit_relpos_small_patch16_rpn_224",
    "vit_srelpos_medium_patch16_224",
    "vit_srelpos_small_patch16_224",
    "volo_d1_224",
    "volo_d1_384",
    "volo_d2_224",
    "volo_d2_384",
    "volo_d3_224",
    "volo_d3_448",
    "volo_d4_224",
    "volo_d4_448",
    "volo_d5_224",
    "volo_d5_448",
    "volo_d5_512",
    "xcit_large_24_p8_224",
    "xcit_large_24_p8_384",
    "xcit_large_24_p16_224",
    "xcit_large_24_p16_384",
    "xcit_medium_24_p8_224",
    "xcit_medium_24_p8_384",
    "xcit_medium_24_p16_224",
    "xcit_medium_24_p16_384",
    "xcit_nano_12_p8_224",
    "xcit_nano_12_p8_384",
    "xcit_nano_12_p16_224",
    "xcit_nano_12_p16_384",
    "xcit_small_12_p8_224",
    "xcit_small_12_p8_384",
    "xcit_small_12_p16_224",
    "xcit_small_12_p16_384",
    "xcit_small_24_p8_224",
    "xcit_small_24_p8_384",
    "xcit_small_24_p16_224",
    "xcit_small_24_p16_384",
    "xcit_tiny_12_p8_224",
    "xcit_tiny_12_p8_384",
    "xcit_tiny_12_p16_224",
    "xcit_tiny_12_p16_384",
    "xcit_tiny_24_p8_224",
    "xcit_tiny_24_p8_384",
    "xcit_tiny_24_p16_224",
    "xcit_tiny_24_p16_384",
]
